> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Symbol & price info (derivative)

> Get derivative market symbol and price information.



## OpenAPI

````yaml /en/openapi/tcbs-v1.yaml get /tartarus/v1/derivatives
openapi: 3.0.3
info:
  title: TCBS iFlash Open API
  description: REST APIs for trading stocks and derivatives on TCBS.
  version: 1.0.0
  contact:
    email: openapi@tcbs.com.vn
servers:
  - url: https://openapi.tcbs.com.vn
    description: Production
security:
  - bearerAuth: []
paths:
  /tartarus/v1/derivatives:
    get:
      summary: Symbol & price info (derivative)
      description: Get derivative market symbol and price information.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                    description: List of derivative contracts.
                  data[].symbol:
                    type: string
                    description: Contract symbol.
                  data[].ceilPrice:
                    type: number
                    format: double
                    description: Ceiling price.
                  data[].floorPrice:
                    type: number
                    format: double
                    description: Floor price.
                  data[].refPrice:
                    type: number
                    format: double
                    description: Reference price.
                  data[].bidPrice01:
                    type: number
                    format: double
                    description: Bid price 1.
                  data[].bidQtty01:
                    type: number
                    format: double
                    description: Bid volume 1.
                  data[].offerPrice01:
                    type: number
                    format: double
                    description: Offer price 1.
                  data[].offerQtty01:
                    type: number
                    format: double
                    description: Offer volume 1.
                  data[].matchPrice:
                    type: number
                    format: double
                    description: Matched price.
                  data[].matchQtty:
                    type: number
                    format: double
                    description: Matched volume.
                  data[].change:
                    type: number
                    format: double
                    description: Price change.
                  data[].changePercent:
                    type: number
                    format: double
                    description: Change percent.
                  data[].totalVol:
                    type: number
                    format: double
                    description: Total volume.
                  data[].openVol:
                    type: number
                    format: double
                    description: Open interest.
                  data[].expiryDate:
                    type: string
                    description: Expiry date.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.